Bug 319924 - Missing url in "no internet connection page"
Summary: Missing url in "no internet connection page"
Status: RESOLVED FIXED
Alias: None
Product: rekonq
Classification: Unclassified
Component: general (show other bugs)
Version: 2.3.0
Platform: Other All
: NOR minor (vote)
Target Milestone: ---
Assignee: Andrea Diamantini
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-16 21:02 UTC by Filippo
Modified: 2013-06-19 13:52 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Filippo 2013-05-16 21:02:49 UTC
The "internet connection missing" page displays no URL. Even if this is technically correct is better to provide the last URL you were trying to reach instead of an empty URL bar. When internet is restore simply push F5 or reload will actually reload the correct page.

Reproducible: Always

Steps to Reproduce:
1. Go to some website, e.g. www.google.com
2. Disconnect your PC (so that the "no connection" page appears
3. Reload the page (F5)
4. The "no internet connection" page appears
Actual Results:  
This page displays no URL, so that, when internet connection is restored, you can simply hit reload or F5 or enter on the URL bar to go to the wished site.

Expected Results:  
The URL you are trying to reach (e.g. www.google.com) should still be present, even if the displayed page is not google.

(It took me quite time to realize this is actually a problem: I was hitting F5 continuously without response, even if I knew internet connection was OK.)
Always reproducible.
Comment 1 Andrea Diamantini 2013-06-06 23:11:38 UTC
Git commit 8767b92a1027283562d33de783f9601f66f3d32f by Andrea Diamantini.
Committed on 07/06/2013 at 01:10.
Pushed by adjam into branch 'master'.

Fix behavior on unloaded sites

- show url
- reload with f5
Related: bug 312928

M  +6    -0    src/urlbar/urlbar.cpp
M  +14   -0    src/webtab/webview.cpp
M  +8    -5    src/webtab/webview.h

http://commits.kde.org/rekonq/8767b92a1027283562d33de783f9601f66f3d32f
Comment 2 Andrea Diamantini 2013-06-19 13:52:03 UTC
Git commit 7fd44b92554588240a5dd953ce1734891b147271 by Andrea Diamantini.
Committed on 19/06/2013 at 11:09.
Pushed by adjam into branch 'master'.

Let fixed behavior when site is NOT loaded
work also when you don't have connection from the beginning.
Related: bug 312928

M  +5    -0    src/webtab/webpage.cpp
M  +2    -1    src/webtab/webpage.h
M  +2    -0    src/webtab/webtab.cpp

http://commits.kde.org/rekonq/7fd44b92554588240a5dd953ce1734891b147271